/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const ADD_QUICK_PROMPT = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.addQuickPromptTitle',
  {
    defaultMessage: 'Add quick prompt...',
  }
);
export const ADD_QUICK_PROMPT_MODAL_TITLE = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.modalTitle',
  {
    defaultMessage: 'Add/Modify Quick Prompt',
  }
);

export const QUICK_PROMPT_NAME = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.nameLabel',
  {
    defaultMessage: 'Name',
  }
);

export const QUICK_PROMPT_PROMPT = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.promptLabel',
  {
    defaultMessage: 'Prompt',
  }
);

export const QUICK_PROMPT_BADGE_COLOR = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.badgeColorLabel',
  {
    defaultMessage: 'Badge color',
  }
);

export const QUICK_PROMPT_CATEGORIES = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.categoriesLabel',
  {
    defaultMessage: 'Categories',
  }
);

export const QUICK_PROMPT_CATEGORIES_HELP_TEXT = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.addQuickPromptModal.categoriesHelpText',
  {
    defaultMessage:
      'Select the Prompt Contexts that this Quick Prompt will be available for. Selecting none will make this Quick Prompt available at all times.',
  }
);

export const CANCEL = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.modalCancelButtonTitle',
  {
    defaultMessage: 'Cancel',
  }
);

export const SAVE = i18n.translate(
  'xpack.elasticAssistant.assistant.quickPrompts.modalSaveButtonTitle',
  {
    defaultMessage: 'Save',
  }
);
